WinShopAPI docs
ReferenceCompanies

Get an authorised person

Returns one authorised person of the company — someone allowed to collect goods or sign for the company. 404 when they do not belong to `companyId`. Requires `Permissions.Companies.View`.

GET
/api/companies/{companyId}/authorized-persons/{authorizedPersonId}

Authorization

Bearer
headerAuthorizationBearer <token>

OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.

Path Parameters

companyId*integer
Formatint32
authorizedPersonId*integer
Formatint32

Response Body

application/json
  1. response
companyId?|
Formatint32
email?|
Lengthlength <= 50
id?|
Formatint32
isInactive?boolean|null
name?|
Lengthlength <= 50
number?|
Lengthlength <= 80
phone?|
Lengthlength <= 20
shouldSendMailTo?boolean|null
curl -X GET 'https://<your-instance>/api/companies/0/authorized-persons/0' \  -H 'Authorization: Bearer <access-token>'
{  "companyId": 0,  "email": "string",  "id": 0,  "isInactive": true,  "name": "string",  "number": "string",  "phone": "string",  "shouldSendMailTo": true}